summaryrefslogtreecommitdiffstats
path: root/tdb/autogen.sh
diff options
context:
space:
mode:
Diffstat (limited to 'tdb/autogen.sh')
-rwxr-xr-xtdb/autogen.sh16
1 files changed, 16 insertions, 0 deletions
diff --git a/tdb/autogen.sh b/tdb/autogen.sh
new file mode 100755
index 000000000..88ac4cfcf
--- /dev/null
+++ b/tdb/autogen.sh
@@ -0,0 +1,16 @@
+#!/bin/sh
+
+rm -rf autom4te.cache
+rm -f configure config.h.in
+
+IPATHS="-I libreplace -I lib/replace -I ../libreplace -I ../replace"
+autoconf $IPATHS || exit 1
+autoheader $IPATHS || exit 1
+
+rm -rf autom4te.cache
+
+swig -O -Wall -python -keyword tdb.i # Ignore errors for now
+
+echo "Now run ./configure and then make."
+exit 0
+